Subject: bug#77109: [feature] [shepherd] Accept multiple services for actions

From: Ludovic Courtès <[email-masked]>
Date: Wed, 19 Mar 2025 19:57:30 +0100

Hi,

Tomas Volf <[email-masked]> skribis:

> I guess it could be special-cased for start, stop, restart, since these
> three do not take (by default) any arguments (I *think* you can make
> `start' procedure taking arguments?  I have never tried.).  But for
> general case, the `service2' is passed as an argument to the action
> `restart' of service `service1'.

I think we could special-case that on the client side (in ‘herd’) with
something like:

  herd restart --batch s1 s2 s3

which would restart those services one after the other.

WDYT?

Ludo’.